Jack2 1.9.12

Public Attributes | List of all members
jack_transport_info_t Struct Reference

`#include <types.h>`

## Public Attributes
jack_nframes_t | frame_rate
jack_time_t | usecs
jack_transport_bits_t | valid
jack_transport_state_t | transport_state
jack_nframes_t | frame
jack_nframes_t | loop_start
jack_nframes_t | loop_end
long | smpte_offset
float | smpte_frame_rate
int | bar
int | beat
int | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute

## Detailed Description

Deprecated struct for transport position information.

Deprecated:
  This is for compatibility with the earlier transport interface. Use the jack_position_t struct, instead.

Definition at line 711 of file types.h.

## Member Data Documentation

## ◆ frame_rate

jack_nframes_t jack_transport_info_t::frame_rate

current frame rate (per second)

Definition at line 715 of file types.h.

## ◆ usecs

jack_time_t jack_transport_info_t::usecs

monotonic, free-rolling

Definition at line 716 of file types.h.

## ◆ valid

jack_transport_bits_t jack_transport_info_t::valid

which fields are legal to read

Definition at line 718 of file types.h.

## ◆ smpte_offset

long jack_transport_info_t::smpte_offset

SMPTE offset (from frame 0)

Definition at line 724 of file types.h.

## ◆ smpte_frame_rate

float jack_transport_info_t::smpte_frame_rate

29.97, 30, 24 etc.

Definition at line 725 of file types.h.

The documentation for this struct was generated from the following file:

- types.h